# BEGIN SourceDeps(oneline):
BuildRequires: ladspa_sdk libgtk+2-devel libreadline-devel
# END SourceDeps(oneline)
Summary:      DSSI software synthesizer plugin emulating DX7
Name:         hexter-dssi
Version:      1.0.0
Release:      alt1_2
URL:          http://dssi.sourceforge.net/hexter.html
Source0:      http://downloads.sourceforge.net/project/dssi/hexter/1.0.1/hexter-%{version}.tar.gz
Source1:      hexter.desktop
Source2:      hexter.png
License:      GPLv2+
Group:        Sound

BuildRequires: libalsa-devel
BuildRequires: desktop-file-utils
BuildRequires: dssi-devel
BuildRequires: gtk2-devel
BuildRequires: liblo-devel
BuildRequires: ncurses-devel

Requires:     dssi
Source44: import.info

%description
hexter is a software synthesizer that models the sound generation of a Yamaha
DX7 synthesizer. It can easily load most DX7 patch bank files, accept patch
editing commands via MIDI sys-ex messages (ALSA systems only), and recreate the
sound of the DX7 with greater accuracy than any previous open-source emulation
(that the author is aware of....)

hexter operates as a plugin for the Disposable Soft Synth Interface (DSSI).
DSSI is a plugin API for software instruments (soft synths) with user
interfaces, permitting them to be hosted in-process by audio applications.

%prep
%setup -q -n hexter-%{version}

%build
export LDFLAGS="-lm"
%configure --with-gnu-ld --with-gtk

make %{?_smp_mflags}
(cd extra; gcc $CFLAGS -o tx_edit tx_edit.c -lcurses -lasound -lm)

%install
make install DESTDIR=$RPM_BUILD_ROOT INSTALL="install -p"
mkdir -p $RPM_BUILD_ROOT%{_bindir}
ln -s jack-dssi-host $RPM_BUILD_ROOT%{_bindir}/hexter
install -m 755 extra/tx_edit $RPM_BUILD_ROOT%{_bindir}/tx_edit

mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
desktop-file-install                              \
  --dir ${RPM_BUILD_ROOT}%{_datadir}/applications \
  %{SOURCE1}

mkdir -p $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/36x36/apps
install -pm 644 %{SOURCE2} $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/36x36/apps/hexter.png

%files
%doc AUTHORS ChangeLog COPYING README TODO
%{_bindir}/hexter
%{_bindir}/tx_edit
%{_datadir}/hexter/
%{_datadir}/applications/hexter.desktop
%{_datadir}/icons/hicolor/36x36/apps/hexter.png
%{_libdir}/dssi/*
%exclude %{_libdir}/dssi/hexter.la

%changelog
* Wed Mar 13 2013 Igor Vlasenko <viy@altlinux.ru> 1.0.0-alt1_2
- update to new release by fcimport

* Mon Jan 21 2013 Igor Vlasenko <viy@altlinux.ru> 1.0.0-alt1_1
- initial fc import

